{{page-title (capitalize (t "account activation"))}}

{{#if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  {{#if this.session.isAuthenticated}}
    <div class="container">
      <h1 class="mt-5">{{capitalize (t "you are already loged in.")}}</h1>
      <p>
        <LinkTo @route="index" class="nav-link">{{capitalize (t "go to the main page")}}</LinkTo>
      </p>
    </div>
  {{else}}
    <div class="container">
      <div class="row">
        <div class="col-sm-5">
          <h2 class="mt-5">
            {{capitalize (t "account activation")}}
          </h2>

          {{#if this.errorCode}}
            <div class="alert alert-danger" role="alert">
              {{t this.errorCode}}
            </div>
          {{/if}}

          {{#if this.isActivationResponse}}
            <p>
              {{capitalize (t "your account was activated.")}}
              <LinkTo @route="login.index">{{capitalize (t "sign in")}}</LinkTo>.
            </p>
          {{else}}
            <div class="mb-3">
              <label for="identification">{{capitalize (t "e-mail")}}</label>
              <Input class="form-control" id="identification" @type="email" placeholder={{capitalize (t "enter your e-mail")}} required={{true}} @value={{this.userEmail}} />
            </div>

            <Input::Button class="btn btn-secondary" @action={{this.activate}}>
              {{capitalize (t "resend e-mail")}}
            </Input::Button>
          {{/if}}
        </div>
      </div>
    </div>
  {{/if}}
{{/if}}